package cz.cvut.ok.kapo.paa.sat.objects;

import junit.framework.TestCase;

public class ClausuleTest extends TestCase {
	
	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

	@Override
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/*
	 * Test method for 'cz.cvut.ok.kapo.paa.sat.objects.Clausule.addVariable(int, int)'
	 */
	public void testAddVariableIntInt() {
		Clausule cls = new Clausule();
		cls.addVariable(3, -5);
		assertTrue(cls.getVariable(0).getVarNeg());
		assertEquals(cls.getVariable(0).getVarWeight(), 5);
		assertEquals(cls.getVariable(0).getVarNum(), 3);
	}

	/*
	 * Test method for 'cz.cvut.ok.kapo.paa.sat.objects.Clausule.addVariable(int, int, boolean)'
	 */
	public void testAddVariableIntIntBoolean() {
		Clausule cls = new Clausule();
		cls.addVariable(3, 5,false);
		assertFalse(cls.getVariable(0).getVarNeg());
		assertEquals(cls.getVariable(0).getVarWeight(), 5);
		assertEquals(cls.getVariable(0).getVarNum(), 3);
	}
}
