package cz.cvut.ok.kapo.paa.utils;

import java.util.Stack;

/**
 * @author karel
 *
 */
public class MyStack<E> extends Stack<E> {

	private static final long serialVersionUID = 3257284721212667190L;
	private int pushes, pops;

	/**
	 * 
	 */
	public MyStack() {
		super();
		this.pushes=0;
		this.pops=0;
	}
	
	/**
	 * Vrati pocet vlozeni na zasobnik.
	 */
	public int getPushes() {
		return pushes;
	}

	/**
	 * Vrati pocet vyjmuti ze zasobniku.
	 */
	public int getPops() {
		return pops;
	}
	
//	 ============================= nove metody =================
	/**
	 * Pocita kazdy vlozeny objekt
	 */
	@Override
	public E push(E item){
		this.pushes++;
		return super.push(item);
	}

	/**
	 * Pocita kazdy vyjmuty objekt
	 */
	@Override
	public E pop(){
		this.pops++;
		return super.pop();
	}
}
