/**
 * 
 */
package cz.cvut.ok.kapo.paa.sat.engine;

import java.util.TimerTask;

/**
 * Pouze zavola metodu stopCompute() na predanem vlakne.
 * Ukonci tim vypocet SAT problemu.
 * @author karel
 *
 */
public class SATerminateTask extends TimerTask {
	private SAThread termT;
	
	/**
	 * 
	 */
	public SATerminateTask(SAThread termThread) {
		super();
		this.termT=termThread;
	}

	/**
	 * @see java.util.TimerTask#run()
	 */
	@Override
	public void run() {
		this.termT.stopCompute();
	}

}
